<?php


namespace App\Entities\RespostaEscolhaOpcao;


use App\Utils\Entity;

class RespostaEscolhaOpcao extends Entity
{
    protected $id;
    protected $id_opcao_pergunta;
    protected $id_resposta_formulario;

    public static function builder(): RespostaEscolhaOpcaoBuilder
    {
        return new RespostaEscolhaOpcaoBuilder;
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return int
     */
    public function getIdOPCAOPERGUNTA()
    {
        return $this->id_opcao_pergunta;
    }

    /**
     * @return int
     */
    public function getIdRESPOSTAFORMULARIO(): int
    {
        return $this->id_resposta_formulario;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @param int $id_opcao_pergunta
     */
    public function setIdOPCAOPERGUNTA($id_opcao_pergunta): void
    {
        $this->id_opcao_pergunta = $id_opcao_pergunta;
    }

    /**
     * @param int $id_resposta_formulario
     */
    public function setIdRESPOSTAFORMULARIO(int $id_resposta_formulario): void
    {
        $this->id_resposta_formulario = $id_resposta_formulario;
    }

}